# azure.mgmt.resource.managedapplications.operations module

class `azure.mgmt.resource.managedapplications.operations.``ApplicationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ApplicationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for this operation. Constant value: “2018-06-01”.

  `create_or_update`(resource_group_name, application_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new managed application.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_name (str) – The name of the managed application.
    - parameters (Application) – Parameters supplied to the create or update a managed application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Application or ClientRawResponse<Application> if raw==True
    Return type: | AzureOperationPoller[Application] or AzureOperationPoller[ClientRawResponse[Application]]
    Raises: | `ErrorResponseException`

  `create_or_update_by_id`(application_id, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new managed application.

    Parameters:

    - application_id (str) – The fully qualified ID of the managed application, including the managed application name and the managed application resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applications/{application-name}
    - parameters (Application) – Parameters supplied to the create or update a managed application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Application or ClientRawResponse<Application> if raw==True
    Return type: | AzureOperationPoller[Application] or AzureOperationPoller[ClientRawResponse[Application]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, application_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the managed application.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_name (str) – The name of the managed application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `delete_by_id`(application_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the managed application.

    Parameters:

    - application_id (str) – The fully qualified ID of the managed application, including the managed application name and the managed application resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applications/{application-name}
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, application_name, custom_headers=None, raw=False, **operation_config)

    Gets the managed application.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_name (str) – The name of the managed application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Application or ClientRawResponse if raw=true
    Return type: | Application or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_by_id`(application_id, custom_headers=None, raw=False, **operation_config)

    Gets the managed application.

    Parameters:

    - application_id (str) – The fully qualified ID of the managed application, including the managed application name and the managed application resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applications/{application-name}
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Application or ClientRawResponse if raw=true
    Return type: | Application or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all the applications within a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Application
    Return type: | ApplicationPaged[Application]
    Raises: | `ErrorResponseException`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Gets all the applications within a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Application
    Return type: | ApplicationPaged[Application]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, application_name, parameters=None, custom_headers=None, raw=False, **operation_config)

    Updates an existing managed application. The only value that can be updated via PATCH currently is the tags.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_name (str) – The name of the managed application.
    - parameters (Application) – Parameters supplied to update an existing managed application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Application or ClientRawResponse if raw=true
    Return type: | Application or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update_by_id`(application_id, parameters=None, custom_headers=None, raw=False, **operation_config)

    Updates an existing managed application. The only value that can be updated via PATCH currently is the tags.

    Parameters:

    - application_id (str) – The fully qualified ID of the managed application, including the managed application name and the managed application resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applications/{application-name}
    - parameters (Application) – Parameters supplied to update an existing managed application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Application or ClientRawResponse if raw=true
    Return type: | Application or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.resource.managedapplications.models' from '/usr/lib/python3/dist-packages/azure/mgmt/resource/managedapplications/models/__init__.py'>

class `azure.mgmt.resource.managedapplications.operations.``ApplicationDefinitionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ApplicationDefinitionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for this operation. Constant value: “2018-06-01”.

  `create_or_update`(resource_group_name, application_definition_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new managed application definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_definition_name (str) – The name of the managed application definition.
    - parameters (ApplicationDefinition) – Parameters supplied to the create or update an managed application definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ApplicationDefinition or ClientRawResponse<ApplicationDefinition> if raw==True
    Return type: | AzureOperationPoller[ApplicationDefinition] or AzureOperationPoller[ClientRawResponse[ApplicationDefinition]]
    Raises: | `ErrorResponseException`

  `create_or_update_by_id`(application_definition_id, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new managed application definition.

    Parameters:

    - application_definition_id (str) – The fully qualified ID of the managed application definition, including the managed application name and the managed application definition resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applicationDefinitions/{applicationDefinition-name}
    - parameters (ApplicationDefinition) – Parameters supplied to the create or update a managed application definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ApplicationDefinition or ClientRawResponse<ApplicationDefinition> if raw==True
    Return type: | AzureOperationPoller[ApplicationDefinition] or AzureOperationPoller[ClientRawResponse[ApplicationDefinition]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, application_definition_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the managed application definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_definition_name (str) – The name of the managed application definition to delete.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `delete_by_id`(application_definition_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the managed application definition.

    Parameters:

    - application_definition_id (str) – The fully qualified ID of the managed application definition, including the managed application name and the managed application definition resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applicationDefinitions/{applicationDefinition-name}
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, application_definition_name, custom_headers=None, raw=False, **operation_config)

    Gets the managed application definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - application_definition_name (str) – The name of the managed application definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ApplicationDefinition or ClientRawResponse if raw=true
    Return type: | ApplicationDefinition or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_by_id`(application_definition_id, custom_headers=None, raw=False, **operation_config)

    Gets the managed application definition.

    Parameters:

    - application_definition_id (str) – The fully qualified ID of the managed application definition, including the managed application name and the managed application definition resource type. Use the format, /subscriptions/{guid}/resourceGroups/{resource-group-name}/Microsoft.Solutions/applicationDefinitions/{applicationDefinition-name}
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ApplicationDefinition or ClientRawResponse if raw=true
    Return type: | ApplicationDefinition or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the managed application definitions in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group. The name is case insensitive.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ApplicationDefinition
    Return type: | ApplicationDefinitionPaged[ApplicationDefinition]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.resource.managedapplications.models' from '/usr/lib/python3/dist-packages/azure/mgmt/resource/managedapplications/models/__init__.py'>